org.apache.poi.xslf.usermodel

## Class XSLFSlide

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xslf.usermodel.XSLFSheet
    - - org.apache.poi.xslf.usermodel.XSLFSlide

- All Implemented Interfaces:
    java.lang.Iterable<XSLFShape>, ShapeContainer<XSLFShape,XSLFTextParagraph>, Sheet<XSLFShape,XSLFTextParagraph>, Slide<XSLFShape,XSLFTextParagraph>, XSLFShapeContainer

      @Beta
      public final class XSLFSlide
      extends XSLFSheet
      implements Slide<XSLFShape,XSLFTextParagraph>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Graphics2D graphics)` Render this sheet into the supplied graphics object
    `XSLFBackground` | `getBackground()`
    `XSLFCommentAuthors` | `getCommentAuthorsPart()`
    `java.util.List<XSLFComment>` | `getComments()`
    `XSLFComments` | `getCommentsPart()`
    `boolean` | `getDisplayPlaceholder(Placeholder placeholder)` In XSLF, slidenumber and date shapes aren't marked as placeholders whereas in HSLF they are activated via a HeadersFooter configuration.
    `boolean` | `getFollowMasterBackground()`
    `boolean` | `getFollowMasterColourScheme()`
    `boolean` | `getFollowMasterGraphics()`
    `boolean` | `getFollowMasterObjects()`
    `XSLFSlideLayout` | `getMasterSheet()`
    `XSLFNotes` | `getNotes()`
    `protected java.lang.String` | `getRootElementName()`
    `XSLFSlideLayout` | `getSlideLayout()`
    `XSLFSlideMaster` | `getSlideMaster()`
    `java.lang.String` | `getSlideName()`
    `int` | `getSlideNumber()`
    `XSLFTheme` | `getTheme()`
    `java.lang.String` | `getTitle()`
    `org.openxmlformats.schemas.presentationml.x2006.main.CTSlide` | `getXmlObject()`
    `XSLFSlide` | `importContent(XSLFSheet src)` Set the contents of this sheet to be a copy of the source sheet.
    `boolean` | `isHidden()`
    `protected void` | `removeChartRelation(XSLFChart chart)`
    `protected void` | `removeLayoutRelation(XSLFSlideLayout layout)`
    `void` | `setFollowMasterBackground(boolean follow)`
    `void` | `setFollowMasterColourScheme(boolean follow)`
    `void` | `setFollowMasterGraphics(boolean value)`
    `void` | `setFollowMasterObjects(boolean follow)`
    `void` | `setHidden(boolean hidden)` Sets the slide visibility
    `void` | `setNotes(Notes<XSLFShape,XSLFTextParagraph> notes)`

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet

      `addChart, addChart, addShape, allocateShapeId, appendContent, buildShapes, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTable, createTextBox, deregisterShapeId, getPlaceholder, getPlaceholder, getPlaceholderDetails, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, iterator, mapSchemeColor, mapSchemeColor, registerShapeId, removeShape`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getXmlObject

          public org.openxmlformats.schemas.presentationml.x2006.main.CTSlide getXmlObject()

      Specified by:
        `getXmlObject` in class `XSLFSheet`
      Returns:
        top-level Xml bean representing this sheet

    - #### getRootElementName

          protected java.lang.String getRootElementName()

      Specified by:
        `getRootElementName` in class `XSLFSheet`

    - #### removeChartRelation

          protected void removeChartRelation(XSLFChart chart)

    - #### removeLayoutRelation

          protected void removeLayoutRelation(XSLFSlideLayout layout)

    - #### getMasterSheet

          public XSLFSlideLayout getMasterSheet()

      Specified by:
        `getMasterSheet` in interface `Sheet<XSLFShape,XSLFTextParagraph>`

    - #### getSlideLayout

          public XSLFSlideLayout getSlideLayout()

      Specified by:
        `getSlideLayout` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Returns:
        the assigned slide layout

    - #### getSlideMaster

          public XSLFSlideMaster getSlideMaster()

    - #### getCommentsPart

          public XSLFComments getCommentsPart()

      Returns:
        the comments part or `null` if there weren't any comments
      Since:
        POI 4.0.0

    - #### getCommentAuthorsPart

          public XSLFCommentAuthors getCommentAuthorsPart()

      Returns:
        the comment authors part or `null` if there weren't any comments
      Since:
        POI 4.0.0

    - #### getComments

          public java.util.List<XSLFComment> getComments()

      Specified by:
        `getComments` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Returns:
        the comment(s) for this slide

    - #### getNotes

          public XSLFNotes getNotes()

      Specified by:
        `getNotes` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Returns:
        title of this slide or null if title is not set

    - #### getTheme

          public XSLFTheme getTheme()

      Overrides:
        `getTheme` in class `XSLFSheet`
      Returns:
        theme (shared styles) associated with this theme. By default returns `null` which means that this sheet is theme-less. Sheets that support the notion of themes (slides, masters, layouts, etc.) should override this method and return the corresponding package part.

    - #### getBackground

          public XSLFBackground getBackground()

      Specified by:
        `getBackground` in interface `Sheet<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `getBackground` in class `XSLFSheet`
      Returns:
        the information about background appearance of this slide

    - #### getFollowMasterGraphics

          public boolean getFollowMasterGraphics()

      Specified by:
        `getFollowMasterGraphics` in interface `Sheet<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `getFollowMasterGraphics` in class `XSLFSheet`
      Returns:
        whether shapes on the master sheet should be shown. By default master graphics is turned off. Sheets that support the notion of master (slide, slideLayout) should override it and check this setting in the sheet XML

    - #### setFollowMasterGraphics

          public void setFollowMasterGraphics(boolean value)

      Parameters:
        `value` - whether shapes on the master slide should be shown or not.

    - #### getFollowMasterObjects

          public boolean getFollowMasterObjects()

      Specified by:
        `getFollowMasterObjects` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### setFollowMasterObjects

          public void setFollowMasterObjects(boolean follow)

      Specified by:
        `setFollowMasterObjects` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### importContent

          public XSLFSlide importContent(XSLFSheet src)

      Description copied from class: `XSLFSheet`
      Set the contents of this sheet to be a copy of the source sheet. This method erases any existing shapes and replaces them with object from the source sheet.
      Overrides:
        `importContent` in class `XSLFSheet`
      Parameters:
        `src` - the source sheet to copy data from
      Returns:
        modified 'this'

    - #### getFollowMasterBackground

          public boolean getFollowMasterBackground()

      Specified by:
        `getFollowMasterBackground` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### setFollowMasterBackground

          @NotImplemented
          public void setFollowMasterBackground(boolean follow)

      Specified by:
        `setFollowMasterBackground` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### getFollowMasterColourScheme

          public boolean getFollowMasterColourScheme()

      Specified by:
        `getFollowMasterColourScheme` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### setFollowMasterColourScheme

          @NotImplemented
          public void setFollowMasterColourScheme(boolean follow)

      Specified by:
        `setFollowMasterColourScheme` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### setNotes

          @NotImplemented
          public void setNotes(Notes<XSLFShape,XSLFTextParagraph> notes)

      Specified by:
        `setNotes` in interface `Slide<XSLFShape,XSLFTextParagraph>`

    - #### getSlideNumber

          public int getSlideNumber()

      Specified by:
        `getSlideNumber` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Returns:
        the 1-based slide no.

    - #### draw

          public void draw(java.awt.Graphics2D graphics)

      Render this sheet into the supplied graphics object
      Specified by:
        `draw` in interface `Sheet<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `draw` in class `XSLFSheet`
      Parameters:
        `graphics` - the graphics context to draw to

    - #### getDisplayPlaceholder

          public boolean getDisplayPlaceholder(Placeholder placeholder)

      Description copied from interface: `Slide`
      In XSLF, slidenumber and date shapes aren't marked as placeholders whereas in HSLF they are activated via a HeadersFooter configuration. This method is used to generalize that handling.
      Specified by:
        `getDisplayPlaceholder` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Parameters:
        `placeholder` - the placeholder type
      Returns:
        `true` if the placeholder should be displayed/rendered

    - #### setHidden

          public void setHidden(boolean hidden)

      Description copied from interface: `Slide`
      Sets the slide visibility
      Specified by:
        `setHidden` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Parameters:
        `hidden` - slide visibility, if `true` the slide is hidden, `false` shows the slide

    - #### isHidden

          public boolean isHidden()

      Specified by:
        `isHidden` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Returns:
        the slide visibility, the slide is hidden when `true` - or shown when `false`

    - #### getSlideName

          public java.lang.String getSlideName()

      Specified by:
        `getSlideName` in interface `Slide<XSLFShape,XSLFTextParagraph>`
      Returns:
        the slide name, defaults to "Slide[slideNumber]"

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.